This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 577267 - (jon24-ldap) Support authorization via LDAP groups
Support authorization via LDAP groups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All Linux
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
:
Depends On: 573818 577791 577800 577817 577828 577829 578485 580127 582471 583748 584355 584994 586435 590718 595452 595482 603050 604733
Blocks: jon24-features
  Show dependency treegraph
 
Reported: 2010-03-26 11:29 EDT by Charles Crouch
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 10:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2010-03-26 11:29:44 EDT
The idea is to enable JON administrators to associate JON roles to LDAP groups, rather than having to manually create JON roles and map JON users to them. We need to document setting up this process and what a user sees when the log in the first time after LDAP authorization is setup.

Design wiki:
http://rhq-project.org/display/RHQ/Design-LDAP+Integration

We also need to test how this scales, e.g. a dozen JON roles each associated with half a dozen ldap groups, along with a 1000 groups defined in total on the ldap server and have each JON user a member of 50 of those groups.
Comment 2 Corey Welton 2010-08-04 10:06:54 EDT
Closing these trackers.

Note You need to log in before you can comment on or make changes to this bug.